
Redmine - Defect #32972

UTF8 Symbols as Usernames get Truncated

2020-02-08 21:52 -  

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

i noticed my name was easter egg on this redmine and i wanted it as easteregg but was forced to set a last name, which i choose to

set to @

History

#1 - 2020-02-08 21:54 -  

everything in this bugreport got truncated from the first occurence of the utf8 emoji. here is the rest of the report with the unicode symbol replaced with

egg

full report:

i noticed my name was easter egg on this redmine and i wanted it as easteregg but was forced to set a last name, which i choose to set to _egg_

which is U+1F95A

more info at: https://www.fileformat.info/info/unicode/char/1f95a/index.htm

this gets completly removed from my name, and when applied to both, i have no clickable username.

if the username string will be truncated it should be checked afterswards, if my name is valid - in this case non-zero length!

for demonstration purposes, i leave my name set to a zero length string :)

i wonder if this might be related to the database backend.

i tested it on my installation with 4.1.0 and a postgresql 12.1 database as backend with the locale set to en_US.UTF-8 and the egg will be printed

#2 - 2020-02-08 21:55 -  

the preview funktion works fine btw, this occurs only if its passed through the database, so i suspect it to be databaserelated.

#3 - 2022-02-02 21:16 - Daniel Drexlmaier

Solution: Convert table to utf8mb and set in file database.yml   "encoding: utf8mb4"

#4 - 2024-02-03 07:40 - Go MAEDA

- Category changed from Accounts / authentication to Website (redmine.org)
